Skip to main content
POST
/
personas
/
create
Persona Create
curl --request POST \
  --url https://api.example.com/personas/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "create_vault": false,
  "create_phone_number": false
}
'
{
  "persona_id": "<string>",
  "status": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "vault_id": "<string>",
  "phone_number": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Body

application/json
create_vault
boolean
default:false

Whether to create a vault for the persona

create_phone_number
boolean
default:false

Whether to create a phone number for the persona

Response

Successful Response

persona_id
string
required

ID of the created persona

status
string
required

Status of the persona (active, closed)

first_name
string
required

First name of the persona

last_name
string
required

Last name of the persona

email
string
required

Email of the persona

vault_id
string | null
required

ID of the vault

phone_number
string | null
required

Phone number of the persona (optional)